Subject: Re: bug#26339: [PATCH v4 2/7] bootloader: Adapt vm to new bootloader API.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 14 May 2017 21:53:47 +0200

Danny Milosavljevic <[email-masked]> skribis:

> On Sun, 14 May 2017 15:28:47 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> I suggest avoiding dots in identifiers (RnRS Scheme does not allow it
>> because it can conflict with the dot notation for pairs.)  Use a hyphen
>> instead.
>
> ... oops.  My fault for suggesting it.  I didn't have practical problems with dots before and some parts in Guix already use the dot
> (latest-kernel.org-release, package definitions and the previous bootloader that's in master for a long time).

Right, dots in identifiers are valid in Guile, I even use them for
packages, but somehow I mentally have double-standards between (gnu
packages …) modules and the rest.  :-)

> But good to know.  I shall use no dots in identifiers in the future.  Any preference of how to name derivations?

Often it’s enough to name them by what the correspond to (say “profile”,
“config-file”, etc.).  In other cases, I usually use things like
“os-drv” or “drv”.

Ludo’.